VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::ExtraConfigParams Class Reference

The `ExtraConfigParams` class contains the parameters with information about the vmw:ExtraConfig elements in an OVF package. More...

List of all members.

## Public Member Functions
| ExtraConfigParams ()
| Creates a default new instance.
global::System.Collections.Generic.List < vmware.vcenter.ovf.ExtraConfig > | GetExtraConfigs ()
| List of vmw:ExtraConfig elements in the OVF package.
void | SetExtraConfigs (global::System.Collections.Generic.List< vmware.vcenter.ovf.ExtraConfig > extraConfigs)
| List of vmw:ExtraConfig elements in the OVF package.
global::System.Collections.Generic.List < string > | GetExcludeKeys ()
| Specifies which extra configuration items in the list in the `extraConfigs` `field` should be ignored during deployment.
void | SetExcludeKeys (global::System.Collections.Generic.List< string > excludeKeys)
| Specifies which extra configuration items in the list in the `extraConfigs` `field` should be ignored during deployment.
global::System.Collections.Generic.List < string > | GetIncludeKeys ()
| Specifies which extra configuration items in the list in the `extraConfigs` `field` should be included during deployment.
void | SetIncludeKeys (global::System.Collections.Generic.List< string > includeKeys)
| Specifies which extra configuration items in the list in the `extraConfigs` `field` should be included during deployment.
string | Get_Type ()
| Unique identifier describing the type of the OVF parameters.
void | SetType (string type)
| Unique identifier describing the type of the OVF parameters.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ExtraConfigParams` class contains the parameters with information about the vmw:ExtraConfig elements in an OVF package.

vmw:ExtraConfig elements can be used to specify configuration settings that are transferred directly to the

    .vmx

file.

The behavior of the vmw:ExtraConfig element is similar to the

    extraConfig

property of the

    VirtualMachineConfigSpec

object in the VMware vSphere API. Thus, the same restrictions apply, such as you cannot set values that could otherwise be set with other properties in the

    VirtualMachineConfigSpec

object. See the VMware vSphere API reference for details on this.

See LibraryItem.Deploy and LibraryItem.Filter

## Constructor & Destructor Documentation

vmware::vcenter::ovf::ExtraConfigParams::ExtraConfigParams | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::ExtraConfigParams::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::ExtraConfigParams::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::ExtraConfigParams::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::ExtraConfigParams::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::ExtraConfigParams::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::ExtraConfigParams::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ovf::ExtraConfigParams::Get_Type | ( |  | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

global::System.Collections.Generic.List<string> vmware::vcenter::ovf::ExtraConfigParams::GetExcludeKeys | ( |  | ) | `[inline]`

Specifies which extra configuration items in the list in the `extraConfigs` `field` should be ignored during deployment.

If set, the given keys for extra configurations will be ignored during deployment. The key is defined in the ExtraConfig.key field.

global::System.Collections.Generic.List<vmware.vcenter.ovf.ExtraConfig> vmware::vcenter::ovf::ExtraConfigParams::GetExtraConfigs | ( |  | ) | `[inline]`

List of vmw:ExtraConfig elements in the OVF package.

override int vmware::vcenter::ovf::ExtraConfigParams::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<string> vmware::vcenter::ovf::ExtraConfigParams::GetIncludeKeys | ( |  | ) | `[inline]`

Specifies which extra configuration items in the list in the `extraConfigs` `field` should be included during deployment.

If set, all but the given keys for extra configurations will be ignored during deployment. The key is defined in the ExtraConfig.key field.

void vmware::vcenter::ovf::ExtraConfigParams::SetExcludeKeys | ( | global::System.Collections.Generic.List< string > | excludeKeys | ) | `[inline]`

Specifies which extra configuration items in the list in the `extraConfigs` `field` should be ignored during deployment.

If set, the given keys for extra configurations will be ignored during deployment. The key is defined in the ExtraConfig.key field.

void vmware::vcenter::ovf::ExtraConfigParams::SetExtraConfigs | ( | global::System.Collections.Generic.List< vmware.vcenter.ovf.ExtraConfig > | extraConfigs | ) | `[inline]`

List of vmw:ExtraConfig elements in the OVF package.

void vmware::vcenter::ovf::ExtraConfigParams::SetIncludeKeys | ( | global::System.Collections.Generic.List< string > | includeKeys | ) | `[inline]`

Specifies which extra configuration items in the list in the `extraConfigs` `field` should be included during deployment.

If set, all but the given keys for extra configurations will be ignored during deployment. The key is defined in the ExtraConfig.key field.

void vmware::vcenter::ovf::ExtraConfigParams::SetType | ( | string | type | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

override string vmware::vcenter::ovf::ExtraConfigParams::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ExtraConfigParams.cs